@echo off
Rem This loads Duke3D and enables the "Duke it out in DC" episode.
Rem After exiting Duke3D, modified files (TILES014.ART and TILES009.ART if they exist)
Rem are restored to their previous state. 

Rem Back up conflicting files and enable DukeDC.
if exist tiles014.art ren tiles014.art tiles014.abc
if exist tiles009.art ren tiles009.art tiles009.abc
ren tiles014.dc tiles014.art
ren tiles009.dc tiles009.art

Rem Launch Duke3D and compile GAMEDC.CON instead of GAME.CON. 
duke3d.exe /xgamedc.con

Rem Duke3D has exited. Disable DukeDC.
ren tiles014.art tiles014.dc
ren tiles009.art tiles009.dc

Rem Restore backed up files.
if exist tiles014.abc ren tiles014.abc tiles014.art
if exist tiles009.abc ren tiles009.abc tiles009.art
echo.
echo "Duke it out in DC" has been disabled. All modified files have been restored.
